Bug 27397 - Serials: The description input field when defining numbering patterns is too short
Summary: Serials: The description input field when defining numbering patterns is too ...
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Serials (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Catherine
QA Contact: Martin Renvoize
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2021-01-11 21:34 UTC by Katrin Fischer
Modified: 2021-04-24 17:16 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.05,20.05.11


Attachments
Bug 25054: (QA follow-up) Add space after comma for multiple aliases (1.48 KB, patch)
2021-01-18 23:27 UTC, Catherine
Details | Diff | Splinter Review
Bug 27397: The description input field when defining numbering patterns is too short (1.85 KB, patch)
2021-01-19 02:33 UTC, Catherine
Details | Diff | Splinter Review
Bug 27397: The description input field when defining numbering patterns is too short (1.57 KB, patch)
2021-01-19 21:07 UTC, Catherine
Details | Diff | Splinter Review
Bug 27397: The description input field when defining numbering patterns is too short (1.63 KB, patch)
2021-03-22 11:36 UTC, Amit Gupta
Details | Diff | Splinter Review
Bug 27397: The description input field when defining numbering patterns is too short (1.69 KB, patch)
2021-03-25 14:04 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2021-01-11 21:34:33 UTC
When adding or editing a numbering pattern in the serials module the description input field is quite short which makes adding and editing notes unnecessarily hard.

To test:
- go to the serials module
- click on manage numbering patterns in the left hand navigation
- add or edit a pattern
- check the description field is as short as the name field, but can take much more text
Comment 1 Catherine 2021-01-18 23:27:50 UTC Comment hidden (obsolete)
Comment 2 Catherine 2021-01-19 02:33:25 UTC
Created attachment 115289 [details] [review]
Bug 27397: The description input field when defining numbering patterns is too short

Test Plan:
1. go to the serials module
2. click on manage numbering patterns in the left hand navigation
3. add or edit a pattern
4. check the description field is as short as the name field, but can
take much more text
5. add patch
6. repeat steps 1-3
7. check the description field is larger than the name field (it should)

Sponsored by Catalyst IT
Comment 3 Jonathan Druart 2021-01-19 09:00:53 UTC
Hi Catherine,

I don't think the following change is needed:

-                  <input type="text" id="label" name="label" value="[% label | html %]" />
+                  <input type="text" id="label" name="label" value="[% label | html %]" >
Comment 4 Catherine 2021-01-19 21:07:55 UTC
Created attachment 115361 [details] [review]
Bug 27397: The description input field when defining numbering patterns is too short

Test Plan:
1. go to the serials module
2. click on manage numbering patterns in the left hand navigation
3. add or edit a pattern
4. check the description field is as short as the name field, but can
take much more text
5. add patch
6. repeat steps 1-3
7. check the description field is larger than the name field (it should)

Sponsored by Catalyst IT
Comment 5 Christian Stelzenmüller 2021-03-18 07:57:00 UTC
I don't know wheter this has something to do with this patch. I got an error after klicking on the Save button for saving a new numbering pattern at testing this patch. 
The description field is indeed longer than before.

First lines of error trace:

C4::Serials::Numberpattern::AddSubscriptionNumberpattern(): DBI Exception: DBD::mysql::st execute failed: Incorrect integer value: '' for column `koha_christian8`.`subscription_numberpatterns`.`displayorder` at row 1 [for Statement "INSERT INTO subscription_numberpatterns(label,description,numberingmethod,displayorder,label1,label2,label3,add1,add2,add3,every1,every2,every3,setto1,setto2,setto3,whenmorethan1,whenmorethan2,whenmorethan3,numbering1,numbering2,numbering3) VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)" with ParamValues: 0="blablub", 1="blablubdescription", 2="{X}, H. {Y} {Z} ", 3="", 4="Jahr", 5="Jahrgang", 6="Heft", 7="1", 8="1", 9="1", 10="12", 11="6", 12="1", 13="1", 14="1", 15="1", 16="9999", 17="9999", 18="6", 19="", 20="", 21=""] at /kohadevbox/koha/serials/subscription-numberpatterns.pl line 62
 at /usr/share/perl5/DBIx/Class/Exception.pm line 77
Comment 6 Christian Stelzenmüller 2021-03-18 08:16:59 UTC
Addition: if i'm emptying the Numbering formula field, i won't get an error after saving, but the New numbering pattern won't be saved (on the surface?)
Comment 7 Jonathan Druart 2021-03-18 09:36:27 UTC
The order appears when you create a new numbering patterns and the "display order" is empty. It's a bug that is not directly related to this patch and bug report. Can you open a new one please?
Comment 8 Jonathan Druart 2021-03-18 09:36:51 UTC
(In reply to Jonathan Druart from comment #7)
> The order appears when you create a new numbering patterns and the "display
> order" is empty. It's a bug that is not directly related to this patch and
> bug report. Can you open a new one please?

s/order/error
Comment 9 Amit Gupta 2021-03-22 11:36:43 UTC
Created attachment 118590 [details] [review]
Bug 27397: The description input field when defining  numbering patterns is too short

Test Plan:
1. go to the serials module
2. click on manage numbering patterns in the left hand navigation
3. add or edit a pattern
4. check the description field is as short as the name field, but can
take much more text
5. add patch
6. repeat steps 1-3
7. check the description field is larger than the name field (it should)
Comment 10 Martin Renvoize 2021-03-25 14:04:46 UTC
Created attachment 118809 [details] [review]
Bug 27397: The description input field when defining numbering patterns is too short

Test Plan:
1. go to the serials module
2. click on manage numbering patterns in the left hand navigation
3. add or edit a pattern
4. check the description field is as short as the name field, but can
take much more text
5. add patch
6. repeat steps 1-3
7. check the description field is larger than the name field (it should)

Sponsored by Catalyst IT

Works OK!

Signed-off-by: Amit Gupta <amitddng135@gmail.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 11 Martin Renvoize 2021-03-25 14:05:03 UTC
Trivial display fix, Passing QA
Comment 12 Jonathan Druart 2021-04-01 16:53:57 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 13 Fridolin Somers 2021-04-15 10:34:42 UTC
Pushed to 20.11.x for 20.11.05
Comment 14 Andrew Fuerste-Henry 2021-04-24 16:33:55 UTC
Pushed to 20.05.x for 20.05.11
Comment 15 Victor Grousset/tuxayo 2021-04-24 17:16:52 UTC
Not backported to oldoldstable (19.11.x). Feel free to ask if it's needed.